<div class="card bg-light" *ngIf="compra">
  <div class="card-header">Compra: {{compra.id}} Proveedor: {{compra.proveedor.nombre}}</div>
  <div class="card-body">
    <!--h4 class="card-title">
      <a [routerLink]="['/clientes']" class="btn btn-light btn-xs">&laquo; volver</a>
    </h4-->

    <ul class="list-group my-2">
      <li class="list-group-item list-group-item-primary">Datos del Proveedor</li>
      <li class="list-group-item">{{compra.proveedor.nombre}}</li>
      <li class="list-group-item">{{compra.proveedor.encargado}}</li>
    </ul>

    <ul class="list-group my-2">
      <li class="list-group-item list-group-item-primary">Datos de la compra</li>
      <li class="list-group-item">Nro Ticket de compra: {{compra.id}}</li>
      <li class="list-group-item">Modo de Entrega: {{compra.descripcion}}</li>
      <li class="list-group-item">Fecha: {{compra.createAt}}</li>
    </ul>

    <table class="table table-striped table-hover table-bordered my-3">
      <thead>
        <tr>
          <th>Producto</th>
          <th>Precio</th>
          <th>Cantidad</th>

          <th>Total</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of compra.items">
          <td>{{item.producto.nombre}}</td>
          <td>{{item.producto.precio}}</td>
          <td>{{item.cantidad}}</td>

          <td>{{item.importe}}</td>
        </tr>
      </tbody>
    </table>
    <h5 class="float-right">
      <span>Gran Total</span>: <span class="badge badge-secondary">{{compra.total}}</span>
    </h5>

    <div class="card border-info mb-4" style="max-width: 350px;">
      <div class="card card-header">
        Observaciones
      </div>
      <div class="card card-body">
        <p *ngIf="!compra.observacion">No tiene observación</p>
        <p *ngIf="compra.observacion">{{compra.observacion}}</p>
      </div>

    </div>
  </div>
</div>
